Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface AroundTimeoutType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  AroundTimeoutTypeImpl

    public interface AroundTimeoutType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `around-timeoutType` xsd type

Original Documentation:

The around-timeout type specifies a method on a
class to be called during the around-timeout portion of
a timer timeout callback. Note that each class may have
only one around-timeout method and that the method may not
be overloaded.
If the class element is missing then
the class defining the callback is assumed to be the
interceptor class or component class in scope at the
location in the descriptor in which the around-timeout
definition appears.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`AroundTimeoutType<T>` | `removeClazz()` Removes the `class` element
`AroundTimeoutType<T>` | `removeMethodName()` Removes the `method-name` element
`AroundTimeoutType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`AroundTimeoutType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setClazz

    AroundTimeoutType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Returns:
    the current instance of `AroundTimeoutType`

### removeClazz

    AroundTimeoutType<T> removeClazz()

  Removes the `class` element

  Returns:
    the current instance of `AroundTimeoutType`

### getClazz

    java.lang.String getClazz()

  Returns the `class` element

  Returns:
    the node defined for the element `class`

### setMethodName

    AroundTimeoutType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Returns:
    the current instance of `AroundTimeoutType`

### removeMethodName

    AroundTimeoutType<T> removeMethodName()

  Removes the `method-name` element

  Returns:
    the current instance of `AroundTimeoutType`

### getMethodName

    java.lang.String getMethodName()

  Returns the `method-name` element

  Returns:
    the node defined for the element `method-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD